<?php

/*	LibFox - Simple library for XML-based backends.
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of LibFox.

	LibFox is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	LibFox is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with LibFox.  If not, see <http://www.gnu.org/licenses/>. */

require_once 'dao/bill_dao.php';
require_once 'xoo/table_xoo.php';
require_once 'xoo/bill_xoo.php';
require_once 'xoo/xml_xoo.php';

class bill_ctl extends controller
{
	protected $mode = 'bills';
	protected $model = 'bill';
	protected $dao = 'bill_dao';
	protected $xoo = 'xml_xoo';
	public $tpl = 'xml_tpl';

	public function __construct()
	{
		parent::__construct();
	}

	public function bill()
	{
		$this->tpl = 'bill_tpl';
		$result = '';
		$credit = 0;
		$bill_dao = new bill_dao();
		$xoo = new bill_xoo();

		$search_model = $bill_dao->fetch_model();
		$search_model->get_request();

		$bills = $bill_dao->fetch_all($search_model);
		foreach ($bills as &$bill) {
			$net_value = $bill->value - $bill->paid;
			if ($net_value <= 0) {
				$credit -= $net_value;
			}
		}

		foreach ($bills as &$bill) {
			$net_value = $bill->value - $bill->paid;
			if ($net_value > 0) {
				if ($credit > $net_value) {
					$credit -= $net_value;
					$bill->paid += $net_value;
					$net_value = 0;
				} elseif ($credit > 0) {
					$bill->paid += $credit;
					$net_value = $net_value - $credit;
					$credit = 0;
				}
				if ($net_value > 0)
					$result .= $xoo->item($bill);
			}
		}
		
		return $result;
	}
}

?>