<?php

/*	Vulpes - Gateway Access Manager
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of Vulpes.

	Vulpes is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Vulpes is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Vulpes.  If not, see <http://www.gnu.org/licenses/>. */

require_once 'dao/contract_dao.php';
require_once 'dao/client_dao.php';
require_once 'dao/service_dao.php';
require_once 'dao/invoice_dao.php';

class contract_ctl extends controller
{
	protected $mode = 'contracts';
	protected $model = 'contract';
	protected $dao = 'contract_dao';
	
	function __construct()
	{
		parent::__construct();
	}

	function cancel()
	{
		$contract_dao = new contract_dao();
		$contract = $contract_dao->fetch(get('contract_id'));
		$contract->status = 'C';
		$contract->end = date('Y-m-d H:i:s');
		$contract_dao->update($contract);
		return $this->show_all();
	}
	
	function liberate()
	{
		$contract_dao = new contract_dao();
		$contract = $contract_dao->fetch(get($contract_dao->key));
		$contract->status = 'L';
		$contract_dao->update($contract);
		changes::get_instance()->mark($this->mode);
		return $this->show();
	}

	function block()
	{
		$contract_dao = new contract_dao();
		$contract = $contract_dao->fetch(get($contract_dao->key));
		$contract->status = 'B';
		$contract_dao->update($contract);
		changes::get_instance()->mark($this->mode);
		return $this->show();
	}

}

?>