<?php

/*	Vulpes - Gateway Access Manager
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of Vulpes.

	Vulpes is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Vulpes is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Vulpes.  If not, see <http://www.gnu.org/licenses/>. */

require_once 'dao/payment_dao.php';
require_once 'dao/invoice_dao.php';
require_once 'dao/contract_dao.php';

class payment_ctl extends controller
{
	protected $mode = 'payments';
	protected $model = 'payment';
	protected $dao = 'payment_dao';

	public function __construct()
	{
		parent::__construct();
	}

	/**
	 * Insert a new model.
	 *
	 * @return unknown
	 */
	public function insert()
	{
		global $user;
		$dao = new $this->dao();
		$model = $dao->fetch_model();
		$model->get_request();
		if (!$model->date) {
			$model->date = date('Y-m-d');
		}
		$model->user_id = $user->user_id;
		$dao->insert($model);

		$invoice_dao = new invoice_dao();
		$invoice = $invoice_dao->fetch($model->invoice_id);
		if ($invoice->paid >= $invoice->value) {
			$contract_dao = new contract_dao();
			$contract = $contract_dao->fetch($invoice->contract_id);
			if ($contract->status == 'I') {
				$contract->status = 'L';
			}
			$contract_dao->update($contract);
		}

		changes::get_instance()->mark($this->mode);
		return $this->show();
	}

	public function cancelar()
	{
		$dao = new $this->dao($this->db);
		$model = $dao->fetch(get($dao->key));
		$model->get_request();
		$dao->update($model);
		$key = $dao->key;
		return $this->show();
	}
}

?>