<?php

/*	LibFox - Simple library for XML-based backends.
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of LibFox.

	LibFox is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	LibFox is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with LibFox.  If not, see <http://www.gnu.org/licenses/>. */

require_once 'dao/sale_dao.php';
require_once 'xoo/xml_xoo.php';

class sale_ctl extends controller
{
	protected $mode = 'sales';
	protected $model = 'sale';
	protected $dao = 'sale_dao';
	protected $xoo = 'xml_xoo';
	public $tpl = 'xml_tpl';

	public function __construct()
	{
		parent::__construct();
	}

	public function update()
	{
		$dao = new $this->dao($this->db);
		$model = $dao->fetch(get($dao->key));
		if ($model->status != 'open')
			throw new Exception(lang::access_denied);
		$model->get_request();
		$dao->update($model);
		$key = $dao->key;
		return $this->show();
	}
	
	/**
	 * Prevent deleting of sales.
	 */
	public function delete()
	{
		$dao = new $this->dao($this->db);
		$model = $dao->fetch(get($dao->key));
		if ($model->status != 'open')
			throw new Exception(lang::access_denied);
		$dao->delete(get($dao->key));
		return $this->show_all();
	}
	
}

?>