<?php

/*	LibFox - Simple library for XML-based backends.
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of LibFox.

	LibFox is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	LibFox is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with LibFox.  If not, see <http://www.gnu.org/licenses/>. */

/**
 * client_balance_dao
 * 
 * @package vulpes
 */
class client_balance_dao extends dao
{
	public $key = 'invoice_id';
	public $foreign_keys = 'client_id,method_id';
	public $other_keys = 'payments.client_id,payments.method_id';
	protected $table = 'invoices';
	protected $fields_rel_all = array(
		'payment_id' => array('payments' => 'payment_id'),
		'service_name' => array('services' => 'name'),
		'paid' => array('payments' => 'value') );
	public $left_joins = array('services.service_id' => 'invoices.service_id');
	public $outer_joins = array('payments.invoice_id' => 'invoices.invoice_id');
	protected $where = '( invoices.status IS NULL OR invoices.status != \'C\' )
					AND ( payments.status IS NULL OR payments.status != \'C\' )';
	public $group_by = 'invoice_id';

	public function __construct()
	{
		parent::__construct();
	}

}

?>