<?php

/*	LibFox - Simple library for XML-based backends.
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of LibFox.

	LibFox is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	LibFox is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with LibFox.  If not, see <http://www.gnu.org/licenses/>. */

class patrimony_dao extends dao
{
	public $key = 'patrimony_id';
	protected $table = 'patrimony';
	protected $fields_rel_all = array(
		'brand_name' => array('brands' => 'name'),
		'product_model' => array('products' => 'model'),
		'product_price' => array('products' => 'price'),
		'location_name' => array('locations' => 'name')
	);
	protected $left_joins = array(
		'sale_patrimony.patrimony_id' => 'patrimony.patrimony_id',
		'products.product_id' => 'patrimony.product_id',
		'brands.brand_id' => 'products.brand_id',
		'locations.location_id' => 'patrimony.location_id'
	);
	protected $search_fields = 'patrimony.name,brands.name,products.model';
	public $order_by = 'patrimony_id';
	public $group_by = 'patrimony_id';

	public function __construct()
	{
		parent::__construct();
	}

}

?>