<?php

/*	LibFox - Simple library for XML-based backends.
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of LibFox.

	LibFox is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	LibFox is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with LibFox.  If not, see <http://www.gnu.org/licenses/>. */

require_once 'mdl/ticket.php';

class ticket_dao extends dao
{
	public $key = 'ticket_id';
	public $foreign_keys = 'user_id,contract_id,client_id,account_id';
	public $other_keys = 'status';
	protected $table = 'tickets';
	protected $model = 'ticket';
	protected $fields_rel = array(
		'client_id' => array('clients' => 'client_id'),
		'client_name' => array('clients' => 'name'),
		'client_address' => array('clients' => 'address') );
	protected $fields_rel_all = array(
		'client_id' => array('clients' => 'client_id'),
		'client_username' => array('clients' => 'username'),
		'user_username' => array('users' => 'username') );
	protected $left_joins = array(
		'users.user_id' => 'tickets.user_id',
		'client_accounts.account_id' => 'tickets.account_id',
		'clients.client_id' => 'tickets.client_id' );
	protected $search_fields = 'clients.username';
	public $group_by = 'ticket_id';

	public function __construct()
	{
		parent::__construct();
	}

}

?>