<?php

/*	Vulpes - Gateway Access Manager
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of Vulpes.

	Vulpes is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Vulpes is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Vulpes.  If not, see <http://www.gnu.org/licenses/>. */

require_once 'lang/en_us_lang_base.php';

class en_us_lang extends en_us_lang_base
{
	const liberated			= 'Active';
	const logout			= 'Logout';
	const login				= 'Login';
	const mac				= 'MAC Address';
	const name				= 'Name';
	const not_found			= 'Not found';
	const password			= 'Password';
	const save_changes		= 'Save changes';
	const status			= 'Status';
	const username			= 'Username';
	const welcome_to_vulpes	= 'Welcome to Vulpes';
	const changes_not_applied = 'The changes could not be applied.';
	const monday			= 'Monday';
	const tuesday			= 'Tuesday';
	const wednesday			= 'Wednesday';
	const thursday			= 'Thursday';
	const friday			= 'Friday';
	const saturday			= 'Saturday';
	const sunday			= 'Sunday';
	const all				= 'All';
	const workday			= 'Workdays';
	const weekend			= 'Weekend';
	const client_doesnt_exist = 'Client doesn\'t exist';
	const client_allready_exists = 'Client allready exists';
	const cobranca			= '-- COBRANCA --';
	const plan				= 'Plan';

	// Common verbs
	public $add				= 'Add';
	public $back			= 'Back';
	public $cancel			= 'Cancel';
	public $choose			= 'Choose...';
	public $close			= 'Close';
	public $edit			= 'Edit';
	public $ok				= 'OK';
	public $print			= 'Print';
	public $refresh			= 'Refresh';
	public $remove			= 'Remove';
	public $save			= 'Save';
	public $search			= 'Search';

	// Common words
	public $actions			= 'Actions';
	public $active			= 'Active';
	public $address			= 'Address';
	public $address2		= 'Address 2';
	public $administration	= 'Administration';
	public $agency			= 'Agency';
	public $alias			= 'Alias';
	public $all				= 'All';
	public $bank_logo		= 'Bank Logo';
	public $blocked			= 'Blocked';
	public $block_overdue	= 'Block overdue contracts';
	public $canceled		= 'Canceled';
	public $captive_portal	= 'Captive Portal';
	public $cell_phone		= 'Cell Phone';
	public $city			= 'City';
	public $code			= 'Code';
	public $configuration	= 'Configuration';
	public $contact			= 'Contact';
	public $convention		= 'Convention';
	public $demonstrative	= 'Demonstrative';
	public $description		= 'Description';
	public $dhcp			= 'DHCP';
	public $dhcp_configuration = 'DHCP Configuration';
	public $dhcp_header		= 'Header dhcpd.conf';
	public $discount        = 'Discount';
	public $district		= 'District';
	public $due				= 'Due';
	public $end				= 'End';
	public $firewall		= 'Firewall';
	public $finance			= 'Finance';
	public $firewall_configuration = 'Firewall Configuration';
	public $firewall_header	= 'Firewall Header';
	public $fiscal_number	= 'Fiscal Number';
	public $footer			= 'Footer';
	public $gateway			= 'Gateway';
	public $header			= 'Header';
	public $id				= 'ID';
	public $iface			= 'Interface';
	public $inadimplent		= 'Inadimplent';
	public $info			= 'Info';
	public $ip				= 'IP';
	public $liberated		= 'Active';
	public $log             = 'Log';
	public $mac				= 'MAC';
	public $name			= 'Name';
	public $national_identification_number = 'National ID Number';
	public $netmask			= 'Netmask';
	public $no				= 'No';
	public $num				= 'Num.';
	public $obs	            = 'Obs.';
	public $observations	= 'Observations';
	public $output_interface = 'Output interface';
	public $paid			= 'Paid';
	public $password		= 'Password';
	public $payday			= 'Payday';
	public $payment_delay	= 'Payment delay';
	public $payment_instructions = 'Payment instructions';
	public $pending			= 'Pending';
	public $period			= 'Period';
	public $personal_information = 'Personal Information';
	public $phone			= 'Phone';
	public $portfolio		= 'Portfolio';
	public $postal_code		= 'ZIP Code';
	public $provider_name	= 'Provider Name';
	public $public_ip		= 'Public IP';
	public $rate		 	= 'Rate (kbit/s)';
	public $rate_default	= 'Default rate (kbit/s)';
	public $species			= 'Species';
	public $start			= 'Start';
	public $state			= 'State';
	public $status			= 'Status';
	public $status_choose   = 'Choose a Status...';
	public $total			= 'Total';
	public $until			= 'Until';
	public $username		= 'Username';
	public $value			= 'Value';
	public $value_paid		= 'Value Paid';
	public $value_pending	= 'Value Pending';
	public $value_total		= 'Value Total';
	public $yes				= 'Yes';

	public $remove_confirmation = 'Are you sure you wish to remove this?';
	
	public $owner_data		= 'Owner\'s Information';

	public $account			= 'Account';
	public $accounts		= 'Accounts';
	public $account_add		= 'Add Account';
	public $account_edit	= 'Editar Account';
	public $account_data	= 'Account Details';
	public $bill			= 'Bill';
	public $bills			= 'Bills';
	public $brand			= 'Brand';
	public $brands			= 'Brands';
	public $brand_add		= 'Add Brand';
	public $brand_edit		= 'Edit Brand';
	public $client			= 'Client';
	public $clients			= 'Clients';
	public $client_add		= 'Add Conection';
	public $client_edit		= 'Edit Connection';
	public $client_account	= 'Connection';
	public $client_accounts	= 'Connections';
	public $client_account_add = 'Add Connection';
	public $client_account_edit = 'Edit Connection';
	public $contract		= 'Contract';
	public $contracts		= 'Contracts';
	public $contract_add	= 'Add Contract';
	public $contract_choose = 'Choose a Contract...';
	public $contract_edit	= 'Edit Contract';
	public $contract_new	= 'New Contract';
	public $contract_modify	= 'Modify Contract';
	public $contracted_services = 'Contracted Services';
	public $date			= 'Date';
	public $domain			= 'Domain';
	public $domains			= 'Domains';
	public $domain_add		= 'Add Domain';
	public $domain_edit		= 'Edit Domain';
	public $email			= 'E-mail';
	public $emails			= 'E-mails';
	public $email_add		= 'Add E-mail';
	public $email_edit		= 'Edit E-mail';
	public $invoice			= 'Invoice';
	public $invoices		= 'Invoices';
	public $invoice_add		= 'Add Invoice';
	public $invoice_edit	= 'Edit Invoice';
	public $invoice_new		= 'New Invoice';
	public $network			= 'Network';
	public $networks		= 'Networks';
	public $network_add		= 'Add Network';
	public $network_choose  = 'Choose a Network...';
	public $network_edit	= 'Edit Network';
	public $payment			= 'Payment';
	public $payments		= 'Payments';
	public $payment_new		= 'New Payment';
	public $payment_edit	= 'Edit Payment';
	public $payment_method	= 'Payment Method';
	public $payment_methods	= 'Payment Methods';
	public $payment_method_add = 'Add Payment Method';
	public $payment_method_choose = 'Choose Payment Method...';
	public $payment_method_edit = 'Edit Payment Method';
	public $product			= 'Product';
	public $products		= 'Products';
	public $product_add		= 'Add Product';
	public $product_edit	= 'Edit Product';
	public $sale			= 'Sale';
	public $sales			= 'Sales';
	public $sale_new		= 'New Sale';
	public $sale_edit		= 'Edit Sale';
	public $service         = 'Service';
	public $service_add     = 'Add Service';
	public $service_choose  = 'Choose a Service...';
	public $service_edit    = 'Edit Service';
	public $services		= 'Services';
	public $session			= 'Session';
	public $sessions		= 'Sessions';
	public $ticket          = 'Ticket';
	public $ticket_add      = 'Add Ticket';
	public $ticket_edit     = 'Edit Ticket';
	public $tickets         = 'Tickets';
	
	public $days = array('day' => array(
		array('label' => 'Every Day', 'value' => 'all'),
		array('label' => 'Workdays', 'value' => 'workday'),
		array('label' => 'Weekend', 'value' => 'weekend'),
		array('label' => 'Monday', 'value' => 'monday'),
		array('label' => 'Tuesday', 'value' => 'tuesday'),
		array('label' => 'Wednesday', 'value' => 'wednesday'),
		array('label' => 'Thursday', 'value' => 'thursday'),
		array('label' => 'Friday', 'value' => 'friday') ) );

	public $contract_statusses = array('status' => array(
		array('label' => 'Active', 'value' => 'L'),
		array('label' => 'Blocked', 'value' => 'B'),
		array('label' => 'Inadimplent', 'value' => 'I'),
		array('label' => 'Pending', 'value' => 'P') ) );

	// Error strings
	public $field_required		= 'This field is required';
	public $invalid_username	= 'Invalid username';
	public $invalid_bank_code	= 'Invalid bank code';
	public $missing_at_sign		= 'An at sign (&64;) is missing in your e-mail address.';
	public $missing_username	= 'The username in your e-mail address is missing.';
	public $missing_period_in_domain = 'The domain in your e-mail address is missing a period.';
	public $name_too_long_a		= 'This name is longer than the maximum allowed length. This must be less than ';
	public $name_too_long_b		= ' characters long.';
	public $name_too_short_a	= 'This name is shorter than the minimum allowed length. This must be at least ';
	public $name_too_short_b	= ' characters long.';

	public $test_version_warning = 'Warning! You\'re using a development version of Vulpes. Can and/or will kill kittens.';

	// Tooltips
	public $tooltip_select_multiple_items = 'Hold Shift or Ctrl to select multiple items.';

	public $copyright			= 'Copyright © 2007,2008 LinFox Serviços em Informatica LTDA.';
	public $about				= '<b>Vulpes corsac - Frontend for Vulpes</b><br/>Copyright © 2007,2008 Linfox Serviços de Informatica<br/>Written by Alwin Garside<br/>This program comes with ABSOLUTELY NO WARRANTY.<br/>This is free software, and you are welcome to redistribute it under certain conditions.<br/>More info: <u><a href="http://www.linfox.com.br/projects/vulpes/">linfox.com.br/projects/vulpes</a></u>';
}

?>