<?php

/*	Vulpes - Gateway Access Manager
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of Vulpes.

	Vulpes is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Vulpes is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Vulpes.  If not, see <http://www.gnu.org/licenses/>. */

require_once 'lang/pt_br_lang_base.php';

class pt_br_lang extends pt_br_lang_base
{
	const liberated			= 'Liberado';
	const logout			= 'Logout';
	const login				= 'Login';
	const mac				= 'Endereço MAC';
	const name				= 'Nome';
	const not_found			= 'Não encontrado';
	const password			= 'Senha';
	const save_changes		= 'Salva modificações';
	const status			= 'Status';
	const username			= 'Login';
	const welcome_to_vulpes	= 'Bem vindo ao Vulpes';
	const changes_not_applied = 'Mudanças não forem efeituadas.';
	const monday			= 'Segunda-feira';
	const tuesday			= 'Terça-feira';
	const wednesday			= 'Quarta-feira';
	const thursday			= 'Quinta-feira';
	const friday			= 'Sexta-feira';
	const saturday			= 'Sabado';
	const sunday			= 'Domingo';
	const all				= 'Todos';
	const workday			= 'Segunda a sexta';
	const weekend			= 'Fim de semana';
	const client_doesnt_exist = 'Cliente não existe';
	const client_allready_exists = 'Cliente já existe';
	const cobranca			= 'Cobrança de mensalidade';
	const plan				= 'plano';

	// Common verbs
	public $add				= 'Adicionar';
	public $back			= 'Voltar';
	public $cancel			= 'Cancelar';
	public $choose			= 'Escolhe...';
	public $close			= 'Fechar';
	public $edit			= 'Editar';
	public $ok				= 'OK';
	public $print			= 'Imprimir';
	public $refresh			= 'Atualizar';
	public $remove			= 'Remover';
	public $save			= 'Salvar';
	public $search			= 'Pesquisar';

	// Common words
	public $actions			= 'Acões';
	public $active			= 'Ativo';
	public $address			= 'Endereço';
	public $address2		= 'Endereço 2';
	public $administration	= 'Administração';
	public $agency			= 'Agencia';
	public $alias			= 'Alias';
	public $all				= 'Todos';
	public $bank_logo		= 'Logo do banco';
	public $blocked			= 'Bloqueado';
	public $block_overdue	= 'Bloquear contratos vencidos';
	public $canceled		= 'Canceled';
	public $captive_portal	= 'Captive Portal';
	public $cell_phone		= 'Celular';
	public $city			= 'Cidade';
	public $code			= 'Código';
	public $configuration	= 'Configuração';
	public $contact			= 'Contato';
	public $convention		= 'Convênio';
	public $demonstrative	= 'Demonstrativo';
	public $description		= 'Description';
	public $dhcp			= 'DHCP';
	public $dhcp_configuration = 'Configuração do DHCP';
	public $dhcp_header		= 'Cabeçalho dhcpd.conf';
	public $discount        = 'Desconto';
	public $district		= 'Bairro';
	public $due				= 'Due';
	public $end				= 'Fim';
	public $finance			= 'Financeiro';
	public $firewall		= 'Firewall';
	public $firewall_configuration = 'Configuração do Firewall';
	public $firewall_header	= 'Cabeçalho do Firewall';
	public $fiscal_number	= 'CPF/CNPJ';
	public $footer			= 'Rodapé';
	public $gateway			= 'Gateway';
	public $header			= 'Cabeçalho';
	public $id				= 'ID';
	public $iface			= 'Interface';
	public $inadimplent		= 'Inadimplente';
	public $info			= 'Info';
	public $ip				= 'IP';
	public $liberated		= 'Liberado';
	public $log             = 'Log';
	public $mac				= 'MAC';
	public $name			= 'Nome';
	public $national_identification_number = 'RG';
	public $netmask			= 'Mascara de rede';
	public $no				= 'Não';
	public $num				= 'No.';
	public $obs	            = 'Obs.';
	public $observations	= 'Observações';
	public $output_interface = 'Interface de saída';
	public $paid			= 'Pago';
	public $password		= 'Senha';
	public $payday			= 'Vençimento';
	public $payment_delay	= 'Margem de pagamento';
	public $payment_instructions = 'Instruções de pagamento';
	public $pending			= 'Pendente';
	public $period			= 'Periodo';
	public $personal_information = 'Dados pessoais';
	public $phone			= 'Telefone';
	public $portfolio		= 'Carteira';
	public $postal_code		= 'CEP';
	public $provider_name	= 'Nome do provedor';
	public $public_ip		= 'IP Publico';
	public $rate		 	= 'Rate (kbit/s)';
	public $rate_default	= 'Rate padrão (kbit/s)';
	public $species			= 'Espécie';
	public $start			= 'Início';
	public $state			= 'Estado';
	public $status			= 'Status';
	public $status_choose   = 'Escolhe um Status...';
	public $total			= 'Total';
	public $until			= 'Ate';
	public $user			= 'Usuário';
	public $username		= 'Nome de usuário';
	public $value			= 'Valor';
	public $value_paid		= 'Valor Pago';
	public $value_pending	= 'Valor Pendente';
	public $value_total		= 'Valor Total';
	public $yes				= 'Sim';

	public $remove_confirmation = 'Você tem certeza que deseja remover?';
	
	public $owner_data		= 'Dados do dono';

	public $account			= 'Conta';
	public $accounts		= 'Contas';
	public $account_add		= 'Adicionar Conta';
	public $account_edit	= 'Editar Conta';
	public $account_data	= 'Dados do banco';
	public $bill			= 'Boleto';
	public $bills			= 'Boletos';
	public $brand			= 'Marca';
	public $brands			= 'Marcas';
	public $brand_add		= 'Adicionar Marca';
	public $brand_edit		= 'Editar Marca';
	public $client			= 'Cliente';
	public $clients			= 'Clientes';
	public $client_add		= 'Adicionar Cliente';
	public $client_edit		= 'Editar Cliente';
	public $client_account	= 'Conexão';
	public $client_accounts	= 'Conexões';
	public $client_account_add = 'Adicionar Conexão';
	public $client_account_edit = 'Editar Conexão';
	public $contract		= 'Contrato';
	public $contracts		= 'Contratos';
	public $contract_add	= 'Adicionar Contrato';
	public $contract_choose = 'Escolhe um Contrato...';
	public $contract_edit	= 'Editar Contrato';
	public $contract_new	= 'Novo Contrato';
	public $contract_modify	= 'Modificar Contrato';
	public $contracted_services = 'Serviços contratados';
	public $domain			= 'Domínio';
	public $domains			= 'Domínios';
	public $domain_add		= 'Adicionar Domínio';
	public $domain_edit		= 'Editar Domínio';
	public $email			= 'E-mail';
	public $emails			= 'E-mails';
	public $email_add		= 'Adicionar E-mail';
	public $email_edit		= 'Editar E-mail';
	public $invoice			= 'Fatura';
	public $invoices		= 'Faturas';
	public $invoice_add		= 'Adicionar Fatura';
	public $invoice_edit	= 'Editar Fatura';
	public $invoice_new		= 'Nova Fatura';
	public $network			= 'Rede';
	public $networks		= 'Redes';
	public $network_add		= 'Adicionar Rede';
	public $network_choose  = 'Escolhe uma Rede...';
	public $network_edit	= 'Editar Rede';
	public $payment			= 'Pagamento';
	public $payments		= 'Pagamentos';
	public $payment_new		= 'Novo Pagamento';
	public $payment_edit	= 'Editar Pagamento';
	public $payment_method	= 'Forma de Pagamento';
	public $payment_methods	= 'Formas de Pagamento';
	public $payment_method_add = 'Adicionar Forma de Pagamento';
	public $payment_method_choose = 'Escolhe a Forma de Pagamento...';
	public $payment_method_edit = 'Editar Forma de Pagamento';
	public $product			= 'Produto';
	public $products		= 'Produtos';
	public $product_add		= 'Adicionar Produto';
	public $product_edit	= 'Editar Produto';
	public $sale			= 'Venda';
	public $sales			= 'Vendas';
	public $sale_new		= 'Nova Venda';
	public $sale_edit		= 'Editar Venda';
	public $service			= 'Serviço';
	public $service_add	    = 'Adicionar Serviço';
	public $service_choose  = 'Escolhe um Serviço...';
	public $service_edit	= 'Editar Serviço';
	public $services		= 'Serviços';
	public $session			= 'Sessão';
	public $sessions		= 'Sessões';
	public $ticket          = 'Tiquete';
	public $ticket_add      = 'Adicionar Tiquete';
	public $ticket_edit     = 'Modificar Tiquete';
	public $tickets         = 'Tiquetes';
	
	public $days = array('day' => array(
		array('label' => 'Todas as dias', 'value' => 'all'),
		array('label' => 'Segunda a sexta', 'value' => 'workday'),
		array('label' => 'Fim de semana', 'value' => 'weekend'),
		array('label' => 'Segunda-feira', 'value' => 'monday'),
		array('label' => 'Terça-feira', 'value' => 'tuesday'),
		array('label' => 'Quarta-feira', 'value' => 'wednesday'),
		array('label' => 'Quinta-feira', 'value' => 'thursday'),
		array('label' => 'Sexta-feira', 'value' => 'friday') ) );

	public $contract_statusses = array('status' => array(
		array('label' => 'Liberado', 'value' => 'L'),
		array('label' => 'Bloqueado', 'value' => 'B'),
		array('label' => 'Inadimplente', 'value' => 'I'),
		array('label' => 'Pendente', 'value' => 'P') ) );

	// Error strings
	public $field_required		= 'Este campo é obrigatório';
	public $invalid_username	= 'Nome de usuário invalido';
	public $invalid_bank_code	= 'Codigo de banco invalido';
	public $missing_at_sign		= 'Esta faltando uma @ no e-mail';
	public $missing_username	= 'O usuario no e-mail esta faltando';
	public $missing_period_in_domain = 'Esta faltando um ponto no dominio do e-mail';
	public $name_too_long_a		= 'O nome não pode ter mais que ';
	public $name_too_long_b		= ' caracteres';
	public $name_too_short_a	= 'O nome precisa ter pelo menos ';
	public $name_too_short_b	= ' caracteres';

	public $test_version_warning = 'Atenção! Você esta usando uma versão de teste do Vulpes. Tome cuidado! Pode matar gatinhos!';

	// Tooltips
	public $tooltip_select_multiple_items = 'Use Shift ou Ctrl para selecionar varios items.';

	public $copyright			= 'Copyright © 2007,2008 LinFox Serviços em Informatica LTDA.';
	public $about				= '<b>Vulpes corsac - Frontend for Vulpes</b><br/>Copyright © 2007,2008 Linfox Serviços de Informatica<br/>Written by Alwin Garside<br/>This program comes with ABSOLUTELY NO WARRANTY.<br/>This is free software, and you are welcome to redistribute it under certain conditions.<br/>More info: <u><a href="http://www.linfox.com.br/projects/vulpes/">linfox.com.br/projects/vulpes</a></u>';
}

?>