<?php

/*	Vulpes - Gateway Access Manager
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of Vulpes.

	Vulpes is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Vulpes is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Vulpes.  If not, see <http://www.gnu.org/licenses/>. */

require_once 'dao/netcontrol_dao.php';
require_once 'dao/network_dao.php';
require_once 'dao/client_account_dao.php';

class dhcp_plugin extends plugin
{
	public $actions = array(
		'client' => array('update','insert','remove'),
		'client_account' => array('update','insert','remove'),
		'config' => array('update','insert','remove'),
		'contract' => array('update','insert','remove'),
		'network' => array('update','insert','remove') );
	
	public function call()
	{
		$config = config::get_instance();
		$dhcpd_conf = stripcslashes($config->dhcpd_header);
		$client_account_dao = new client_account_dao();
		$accounts = $client_account_dao->fetch_all();

		foreach ($accounts as $account) {
			if($account->ipv4 != '' && $account->mac != '') {
				$dhcpd_conf .= "\n";
				$dhcpd_conf .= "host ".$account->username." {\n";
				$dhcpd_conf .= "\thardware ethernet ".strtoupper($account->mac).";\n";
				$dhcpd_conf .= "\tfixed-address ".$account->ipv4.";\n";
				$dhcpd_conf .= "}\n";
			}
		}
		$file = fopen('/etc/dhcp3/dhcpd.conf','w');
		fwrite($file, $dhcpd_conf);
		fclose($file);
		exec('/etc/init.d/dhcp3-server restart > /dev/null &');

		return true;
	}
}

?>