/*	Vulpes - Gateway Access Manager
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of Vulpes.

	Vulpes is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Vulpes is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Vulpes.  If not, see <http://www.gnu.org/licenses/>. */

ALTER TABLE `clients`
DROP PRIMARY KEY,
ADD `client_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY FIRST,
ADD `address2` VARCHAR(255) NOT NULL AFTER `address`,
ADD `fiscal_number` VARCHAR(15) NOT NULL,
ADD `identity` VARCHAR(32) NOT NULL,
ADD `notes` TEXT NOT NULL,
ADD UNIQUE (`username`);

ALTER TABLE `config`
CHANGE `site_id` `config_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
ADD `ip` VARCHAR(15) NOT NULL,
ADD `cp_port` SMALLINT(5) NOT NULL,
ADD `proxy_port` SMALLINT(5) NOT NULL,
ADD `dhcp_dirty` BOOLEAN NOT NULL,
ADD `tc_dirty` BOOLEAN NOT NULL,
ADD `iptables_dirty` BOOLEAN NOT NULL;

ALTER TABLE `contracts`
ADD `client_id` INT(10) UNSIGNED NOT NULL AFTER `handle`;

UPDATE `contracts`,`clients`
SET `contracts`.`client_id` = `clients`.`client_id`
WHERE `contracts`.`client_username` = `clients`.`username`;

ALTER TABLE `contracts`
DROP `client_username`;

ALTER TABLE `plans`
CHANGE `id` `plan_id` SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
CHANGE `interface` `iface` VARCHAR(10) NOT NULL, 
ADD `bind_mac` BOOLEAN NOT NULL,
ADD `proxy_port` SMALLINT(5) UNSIGNED NOT NULL,
ADD `ttl_limit` TINYINT(3) UNSIGNED NOT NULL;

ALTER TABLE `schedules`
CHANGE `id` `schedule_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT;

ALTER TABLE `users`
DROP PRIMARY KEY,
ADD `user_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY FIRST;
